
Base Distribution - Story # 40628

Status: Closed Priority: Could have
Author: Rens Admiraal Category:
Created: 2012-09-04 Assigned To:
Updated: 2012-10-04 Due date:
Subject: As any user, I need a Content Module based on semantic technologies (IKS)
Description

Subtasks:
Task # 41350: check how to create a single "break" with hallo editor Rejected
Task # 40992: Replace default image placeholder (Resources/Public/Images/dummy-image.png) Closed
Task # 40991: Check editing behavior of Hallo (You need to click twice ato activate an ... Closed
Task # 40789: !! after an in-page reload, the content element handles disappear Closed
Task # 40691: Test / fix image handling Closed
Task # 40985: Create single issue tickets from walkthrough: https://dl.dropbox.com/u/14... Closed
Task # 41105: while typing, we should not loose focus Closed
Task # 40818: Fix wireframe mode section editing Closed
Task # 40988: Decide when to show the button bar for the sections Closed
Task # 40990: Fix / debug empty-height sections Closed
Task # 40700: !! directly display nodes as hidden when the "hidden" flag is changed (gr... Closed
Task # 40887: Trigger loading indicator if we know a page load will happen (f.e. when p... Closed
Task # 40852: Button-Bar should be positioned using jQuery UI position Closed
Task # 40860: !! an added element is not properly initialized in VIE Closed
Task # 41305: Create sub-contentelements as determined by the "structure" property in t... Closed
Task # 40994: check why URL is broken after uploading image in new Demo Site (see scree... Closed
Task # 40701: re-implement: if a changed property is marked as "reloadOnChange: true" i... Closed
Task # 40705: re-include aloha Closed
Task # 41179: when editing two-column content (f.e. on Phoenix site), selection of one ... Closed
Task # 40697: minify javascript for release Closed
Task # 41175: check whether ordering of tabs in "New Content Element" dialog is determi... Closed
Task # 40761: re-implement overlay for non-inline editable elements Closed
Task # 40903: fix renaming of page nodes in UI (it just loads forever) Closed
Task # 40710: If you click publish, the button should be immediately deactivated Closed
Task # 40755: !! Check the order of entities after save Closed
Task # 40759: Check the inspector button Closed
Task # 40753: Implement moving content elements Closed
Task # 40786: HTML Editor does not work transactionally anymore (Edit HTML, do NOT pres... Closed
Task # 40790: hallo controls broken --> because images are not there anymore Closed
Task # 40853: show editing controls only for active element Closed
Task # 40631: create collection widget with content handles Closed
Task # 40692: !! Fix "create new content" (test positioning of new content / nodes) Closed
Task # 40762: add button bar (create, paste, ...) in top of all sections; permanently v... Closed
Task # 40695: re-implement copy / paste handles Closed
Task # 40716: !! check HTML content element behavior Closed
Task # 40629: Add editor (aloha / hallo) Closed
Task # 40886: Fix non-existing section exception Closed
Task # 40718: (low prio) Fix "inspect" functionality (lower-left button) Closed
Task # 40637: Fetch templates for new content elements when they are created in the ui ... Closed
Task # 40652: Make the notification plugin work Closed
Task # 40752: Cleanup the new content element button Closed
Task # 40694: !! style content handles Closed
Task # 40632: Bind selected entity to the inspector panel Closed
Task # 40634: Make sure we can save changes to content Closed
Task # 40699: !! test that "title" and "hidden" can be changed by the inspector panel Closed
Task # 40630: Add range to sections in schema Closed
Task # 40693: !! remove submodules for create.js and VIE Closed
Task # 40707: remove fontawesome Closed
Task # 40708: !! move to review.typo3.org Closed
Task # 40698: !! test that starttime / endtime can be set using UI Closed
Task # 40995: for global links (f.e. when clicking at the logo), the current workspace ... Closed
Task # 40633: link plugin (for aloha / hallo) Closed
Task # 40696: !! fix styling of notifications; use Create.js notifications Closed
Task # 40635: (low prio) Basic workflow support Rejected

Associated revisions
Revision 0557312e - 2012-09-08 12:33 - Rens Admiraal

[TASK] Add libraries needed for VIE Implementation

Adds (including dependencies):
- createjs
- hallo
- jquery ui 1.9 beta 1
- vie

Scripts for updating createjs, hallo and vie are in
/Scripts/

Change-Id: Idd2650920a79340ef917a3812d0a9aabb20c1291
Related: #40628

Revision fd87e2fa - 2012-09-08 12:35 - Rens Admiraal

[TASK] Minor cleanups / documentation and adding namespace

Add documentation about how require.js influences when to split large JS
classes into separate files; adds the needed XSD namespaces to the page
template.

Change-Id: Iaf8cfe1395ebd6ca0acef31b924d07bd12dc15c5
Related: #40628

Revision a904079b - 2012-09-10 21:38 - Rens Admiraal

[TASK] Use $ for jQuery in the collectionWidget

Change-Id: I2aae07ea88c25257178285e54f9c104b2eeff587
Related: #40628

History
#1 - 2012-09-07 08:06 - Sebastian Kurfuerst
- Subject changed from Content Module - IKS Project to As any user, I need a Content Module based on semantic technologies (IKS)

#2 - 2012-09-20 12:13 - Sebastian Kurfuerst
- Position deleted (12)
- Position set to 17

#3 - 2012-10-04 16:10 - Markus Goldbeck
- Status changed from New to Closed
